Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.datacache
Class QueryResult

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Object>
                  org.apache.openjpa.datacache.QueryResult

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, RandomAccess

    public class QueryResult

extends ArrayList<Object>

A query result.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`QueryResult(Collection<Object> data, long ex)` Constructor to set internal data from a serializer.
`QueryResult(QueryKey key, Collection<Object> data)` Constructor; supply corresponding query key and result data.

Method Summary
`long` | `getTimeoutTime()` Expiration time, or -1 for no timeout.
`long` | `getTimestamp()` Returns the timestamp of the query result.
`boolean` | `isTimedOut()` Whether this data is timed out.
`void` | `setTimestamp(long ts)` Sets the timestamp of the query result.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### QueryResult

    public QueryResult(QueryKey key,
                       Collection<Object> data)

  Constructor; supply corresponding query key and result data.

### QueryResult

    public QueryResult(Collection<Object> data,
                       long ex)

  Constructor to set internal data from a serializer.

Method Detail

### getTimeoutTime

    public long getTimeoutTime()

  Expiration time, or -1 for no timeout.

### isTimedOut

    public boolean isTimedOut()

  Whether this data is timed out.

### setTimestamp

    public void setTimestamp(long ts)

  Sets the timestamp of the query result.

  Parameters:
    `ts` - -- Timestamp value in long

### getTimestamp

    public long getTimestamp()

  Returns the timestamp of the query result.

  Returns:
    -- the timestamp value in long

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.